[arch-commits] Commit in gtk-vnc/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 12 15:09:08 EDT 2008


    Date: Sunday, October 12, 2008 @ 15:09:07
  Author: jgc
Revision: 15244

upgpkg: gtk-vnc 0.3.7-2

Added:
  gtk-vnc/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-10-12 19:09:07 UTC (rev 15244)
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD,v 1.4 2008/09/09 09:57:07 allan Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Allan McRae <mcrae_allan at hotmail.com>
+# Contributor: lp76 <l.peduto at gmail.com>
+
+pkgname=gtk-vnc
+pkgver=0.3.7
+pkgrel=2
+pkgdesc="A VNC viewer widget for GTK"
+arch=('i686' 'x86_64')
+url="http://gtk-vnc.sourceforge.net/"
+license=('GPL')
+depends=('gnutls>=2.4.0' 'gtkglext>=1.2.0' 'mesa' 'libxmu')
+makedepends=('pkgconfig' 'pygtk>=2.13.0')
+options=(!libtool)
+source=(http://downloads.sourceforge.net/gtk-vnc/${pkgname}-${pkgver}.tar.gz)
+md5sums=('41c613be4b554b71d63d30f844d60add')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --with-python --with-examples --with-gtkglext=yes || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}




More information about the arch-commits mailing list